## com.trilead.ssh2.signature
Class RSASHA1Verify

    java.lang.Object
      com.trilead.ssh2.signature.RSASHA1Verify

    public class RSASHA1Verify

extends java.lang.Object

RSASHA1Verify.

Constructor Summary
`RSASHA1Verify()`

Method Summary
`static RSAPublicKey` `decodeSSHRSAPublicKey(byte[] key)`
`static RSASignature` `decodeSSHRSASignature(byte[] sig)`
`static byte[]` `encodeSSHRSAPublicKey(RSAPublicKey pk)`
`static byte[]` `encodeSSHRSASignature(RSASignature sig)`
`static RSASignature` `generateSignature(byte[] message, RSAPrivateKey pk)`
`static boolean` `verifySignature(byte[] message, RSASignature ds, RSAPublicKey dpk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSASHA1Verify

    public RSASHA1Verify()

Method Detail

### decodeSSHRSAPublicKey

    public static RSAPublicKey decodeSSHRSAPublicKey(byte[] key)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSSHRSAPublicKey

    public static byte[] encodeSSHRSAPublicKey(RSAPublicKey pk)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeSSHRSASignature

    public static RSASignature decodeSSHRSASignature(byte[] sig)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSSHRSASignature

    public static byte[] encodeSSHRSASignature(RSASignature sig)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateSignature

    public static RSASignature generateSignature(byte[] message,
                                                 RSAPrivateKey pk)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### verifySignature

    public static boolean verifySignature(byte[] message,
                                          RSASignature ds,
                                          RSAPublicKey dpk)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`